<?php

/**
  * SquirrelMail Demo Plugin
  *
  * This page is used as a place holder for custom plugin 
  * pages that are accessed directly by the client.
  *
  * @copyright &copy; 2006-2007 The SquirrelMail Project Team
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  * @version $Id$
  * @package plugins
  * @subpackage demo
  */

/**
 * Pages that are called directly by the client browser need to load the
 * SquirrelMail framework.  This differs between various SquirrelMail
 * versions.  Plugins that don't support all SquirrelMail versions can
 * strip some of this code away.
 */
if (file_exists('../../include/init.php')) {
	/*
	 * "include/init.php" is used since SquirrelMail 1.5.2. This isn't needed
	 * for plugins that don't support SquirrelMail 1.5.2 and later.
	 */
	include_once('../../include/init.php');
} elseif (file_exists('../../include/validate.php')) {
	/*
	 * "include/validate.php" is used since SquirrelMail 1.4.0 until version
	 * 1.5.1.
	 */
	define('SM_PATH', '../../');
	include_once(SM_PATH . 'include/validate.php');
} else {
	/*
	 * "src/validate.php" is used in SquirrelMail 1.2. This isn't needed for
	 * plugins that don't support SquirrelMail 1.2.
	 */
	chdir('..');
	define('SM_PATH', '../');
	include_once(SM_PATH . 'src/validate.php');
}

#include_once("user_agent.php");
#$ua = mobile_get_ua_type();

#if ($ua != "") {
#	echo "<h1>Error</h2>\n";
#	echo "<p>" . _("Mobile options are not available for mobile browsers.") . "</p>\n";
#	exit;
#}

// Make sure plugin is activated!
//
global $plugins;
if (!in_array('mobile', $plugins))
   exit;

global $color;
displayPageHeader($color);

?>

<br />

<table width="95%" align="center" border="0" cellpadding="2" cellspacing="0">
<tr><td bgcolor="<?php echo $color[0]; ?>">
	<div style="text-align: center;"><b>
		<?php echo _("Options") . " - " . _("Mobile Functionality"); ?>
	</b></div>
</td></tr></table>


<?php

global $data_dir, $username;

$mobile_enabled        = getPref($data_dir, $username, "mobile_enabled", "enabled");
$mobile_chars_per_line = getPref($data_dir, $username, "mobile_chars_per_line", 0);
$mobile_handset_type   = getPref($data_dir, $username, "mobile_handset_type", "auto");

sqgetGlobalVar('action', $change);
if (isset($change)) {
	sqgetGlobalVar('m_enabled', $enabled);
	sqgetGlobalVar('m_chars_per_line', $chars_per_line);
	sqgetGlobalVar('m_handset_type', $handset_type);

	setPref($data_dir, $username, "mobile_enabled",        $enabled);
	setPref($data_dir, $username, "mobile_chars_per_line", $chars_per_line);
	setPref($data_dir, $username, "mobile_handset_type",   $handset_type);

	$mobile_enabled = $enabled;
	$mobile_chars_per_line = $chars_per_line;
	$mobile_handset_type = $handset_type;

	echo "<br />\n";
	echo '<div style="text-align:center;">' . _("Setting changed.") . '</div>';
}


function add_selection($label, $default_value, $values)
{
	$ret = '';

	$ret .= '<select name="'.$label.'">';
	foreach ($values as $k => $v) {
		if (! isset($v)) $v = $k;
		$selected = ($k == $default_value) ? ' selected="selected"' : '';
		$ret .= sprintf('<option value="%s"%s>%s</option>', $k, $selected, $v);
	}
	$ret .= '</select>' . "\n";

	return $ret;
}

?>

<br />

<form method="post" action="options.php">
<table align="center" width="95%" bgcolor="#dcdcdc">
<tr><td>
<table align="center" width="100%" bgcolor="#ffffff">
<tr>
<?php
	echo html_tag('td',_("Mobile access is:"),'right');
	echo html_tag('td', add_selection("m_enabled", $mobile_enabled,
		array("enabled" => _("enabled"), "disabled" => _("disabled"))));
?>
</tr>
<tr>
<?php
	echo html_tag('td',_("Maximum number of characters in each line:") . "<br />\n" .
		'<small>(' . _("input 0 for auto-detection (if possible)") . ')</small>',
		'right','','valign="top"');
	echo html_tag('td', '<input type="text" name="m_chars_per_line" value="' . $mobile_chars_per_line . '" size="3" maxlength="3" />', '', '', 'valign="top"');
?>
</tr>
<tr>
<?php
	echo html_tag('td',_("Handset type preference:") . "<br />\n" .
		'<small>(' . _("used when auto-detect failed") . ')</small>',
		 'right', '', 'valign="top"');
	echo html_tag('td', add_selection("m_handset_type", $mobile_handset_type,
		array("auto"=>_("auto"), "DoCoMo"=>_("docomo (CHTML)"), "au"=>_("au (WAP 2.0)"), "softbank"=>_("Softbank"))));
?>
</tr>
</table>

</td></tr>
<tr>
<td align="right">
  <input type="submit" name="action" value="<?php echo _("submit"); ?>" />
</td>
</tr>
</table>

</form>

</body></html>

