<?php

/**
  * SquirrelMail Mobile Plugin
  * @copyright &copy; 2007, Norihisa Washitake (http://washitake.com/)
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  * @version $Id$
  * @package plugins
  * @subpackage mobile
  */

/**
  * Register this plugin with SquirrelMail
  * 
  * @return void
  *
  */
function squirrelmail_plugin_init_mobile() 
{
	global $squirrelmail_plugin_hooks;


	$squirrelmail_plugin_hooks['template_construct_page_header.tpl']['mobile']
		= 'mobile_template_construct_page_header_tpl';

	$squirrelmail_plugin_hooks['optpage_register_block']['mobile']
		= 'mobile_option_link';

	$squirrelmail_plugin_hooks['configtest']['mobile']
		= 'mobile_configtest';

	/* Override System-wide configuration */
	$squirrelmail_plugin_hooks['config_override']['mobile']
		= 'mobile_config_override';

	/* Override user pref */
	$squirrelmail_plugin_hooks['get_pref_override']['mobile']
		= 'mobile_get_pref_override';

	$squirrelmail_plugin_hooks['redirect_before']['mobile']
		= 'mobile_redirect_before';

	$squirrelmail_plugin_hooks['read_body_header_right']['mobile']
		= 'mobile_read_body_header_right';
}

/**
  * Returns info about this plugin
  *
  * @return array An array of plugin information.
  *
  */
function mobile_info()
{
   return array(
             'english_name' => 'Mobile phone availability',
             'version' => 'test-alpha',
             'summary' => 'This plugin provides availability to mobile phone.',
             'details' => 'This plugin provides mobile phone access availability.',
             'requires_configuration' => 0,
             'requires_source_patch' => 2,
          );
}


/**
  * Returns version info about this plugin
  *
  */
function mobile_version()
{
   $info = mobile_info();
   return $info['version'];
}



/**
  * Override systemwide preference.
  *
  * @return void
  *
  */
function mobile_config_override()
{
	include_once(SM_PATH . 'plugins/mobile/functions.php');
	mobile_config_override_do();
}


/**
  * Override user preference.
  *
  * @return void
  *
  */
function mobile_get_pref_override($temp)
{
	include_once(SM_PATH . 'plugins/mobile/functions.php');
	return mobile_get_pref_override_do($temp);
}

/**
  * Inserts an option block in the main SM options page
  *
  * @return void
  *
  */
function mobile_option_link()
{
   include_once(SM_PATH . 'plugins/mobile/functions.php');
   mobile_option_link_do();
}

/**
  * Validate that this plugin is configured correctly
  *
  * @return boolean Whether or not there was a
  *                 configuration error for this plugin.
  *
  */
function mobile_check_configuration()
{
   include_once(SM_PATH . 'plugins/mobile/functions.php');
   return mobile_check_configuration_do();
}


function mobile_redirect_before($url)
{
   include_once(SM_PATH . 'plugins/mobile/functions.php');
   return mobile_redirect_before_do($url);
}

function mobile_read_body_header_right($links)
{
	/* do nothing */
	$links = array();
	return;
}
